/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghre_StaffGroup.cs
*
*功 能： N / A
* 类 名： Ghre_StaffGroup
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2025/2/17 14:08:30  SimonHsiao   初版
*
* Copyright(c) 2025 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/

namespace Tiobon.Core.Model.Models;

/// <summary>
/// 员工群组(Dto.View1)
/// </summary>
public class Ghre_StaffGroupDto : Ghre_StaffGroup
{
    /// <summary>
    /// 创建信息
    /// </summary>
    public string CreateDataInfo { get; set; }

    /// <summary>
    /// 修改信息
    /// </summary>
    public string UpdateDataInfo { get; set; }

    /// <summary>
    /// 直间接
    /// </summary>
    public List<int?> StaffType1s { get; set; } = new List<int?>();

    /// <summary>
    /// 用工形式
    /// </summary>
    public List<int?> StaffType2s { get; set; } = new List<int?>();

    /// <summary>
    /// 厂区
    /// </summary>
    public List<int> ZoneIds { get; set; } = new List<int>();

    /// <summary>
    /// 不包含厂区
    /// </summary>
    public List<int> ExclZoneIds { get; set; } = new List<int>();

    /// <summary>
    /// 部门
    /// </summary>
    public List<int> DeptIds { get; set; } = new List<int>();

    /// <summary>
    /// 不包含部门
    /// </summary>
    public List<int> ExclDeptIds { get; set; } = new List<int>();

    /// <summary>
    /// 岗位ID
    /// </summary>
    public List<int> TitleIds { get; set; } = new List<int>();

    /// <summary>
    /// 不包含岗位
    /// </summary>
    public List<int> ExclTitleIds { get; set; } = new List<int>();

    /// <summary>
    /// 职等
    /// </summary>
    public List<int> GradeIds { get; set; } = new List<int>();

    /// <summary>
    /// 不包含职等
    /// </summary>
    public List<int> ExclGradeIds { get; set; } = new List<int>();

    /// <summary>
    /// 职称
    /// </summary>
    public List<int> JobIds { get; set; } = new List<int>();

    /// <summary>
    /// 不包含职称
    /// </summary>
    public List<int> ExclJobIds { get; set; } = new List<int>();

    /// <summary>
    /// 员工
    /// </summary>
    public List<int> StaffIds { get; set; } = new List<int>();

    /// <summary>
    /// 不包含员工
    /// </summary>
    public List<int> ExclStaffIds { get; set; } = new List<int>();

    public int MasterId { get; set; }
    public string DataType { get; set; }
    public string DataBelongName { get; set; }
}
